<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::NameAndTags Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="structCatch_1_1NameAndTags.html">NameAndTags</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structCatch_1_1NameAndTags-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::NameAndTags Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for Catch::NameAndTags:</div>
<div class="dyncontent">
<div class="center"><img src="structCatch_1_1NameAndTags__coll__graph.png" border="0" usemap="#Catch_1_1NameAndTags_coll__map" alt="Collaboration graph"/></div>
<map name="Catch_1_1NameAndTags_coll__map" id="Catch_1_1NameAndTags_coll__map">
<area shape="rect" title=" " alt="" coords="5,109,165,136"/>
<area shape="rect" href="classCatch_1_1StringRef.html" title=" " alt="" coords="22,5,149,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ab585111e615ce8c504a2b9630de8ee94"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1NameAndTags.html#ab585111e615ce8c504a2b9630de8ee94">NameAndTags</a> (<a class="el" href="classCatch_1_1StringRef.html">StringRef</a> const &amp;name_=<a class="el" href="classCatch_1_1StringRef.html">StringRef</a>(), <a class="el" href="classCatch_1_1StringRef.html">StringRef</a> const &amp;tags_=<a class="el" href="classCatch_1_1StringRef.html">StringRef</a>()) noexcept</td></tr>
<tr class="separator:ab585111e615ce8c504a2b9630de8ee94"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab585111e615ce8c504a2b9630de8ee94"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1NameAndTags.html#ab585111e615ce8c504a2b9630de8ee94">NameAndTags</a> (<a class="el" href="classCatch_1_1StringRef.html">StringRef</a> const &amp;name_=<a class="el" href="classCatch_1_1StringRef.html">StringRef</a>(), <a class="el" href="classCatch_1_1StringRef.html">StringRef</a> const &amp;tags_=<a class="el" href="classCatch_1_1StringRef.html">StringRef</a>()) noexcept</td></tr>
<tr class="separator:ab585111e615ce8c504a2b9630de8ee94"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a7cbea60e0cebfa622c667008eb011420"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1NameAndTags.html#a7cbea60e0cebfa622c667008eb011420">name</a></td></tr>
<tr class="separator:a7cbea60e0cebfa622c667008eb011420"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74062ed1138834a348424eb7ed900c57"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1NameAndTags.html#a74062ed1138834a348424eb7ed900c57">tags</a></td></tr>
<tr class="separator:a74062ed1138834a348424eb7ed900c57"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ab585111e615ce8c504a2b9630de8ee94"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab585111e615ce8c504a2b9630de8ee94">&#9670;&nbsp;</a></span>NameAndTags() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Catch::NameAndTags::NameAndTags </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a> const &amp;&#160;</td>
          <td class="paramname"><em>name_</em> = <code><a class="el" href="classCatch_1_1StringRef.html">StringRef</a>()</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a> const &amp;&#160;</td>
          <td class="paramname"><em>tags_</em> = <code><a class="el" href="classCatch_1_1StringRef.html">StringRef</a>()</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab585111e615ce8c504a2b9630de8ee94"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab585111e615ce8c504a2b9630de8ee94">&#9670;&nbsp;</a></span>NameAndTags() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Catch::NameAndTags::NameAndTags </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a> const &amp;&#160;</td>
          <td class="paramname"><em>name_</em> = <code><a class="el" href="classCatch_1_1StringRef.html">StringRef</a>()</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a> const &amp;&#160;</td>
          <td class="paramname"><em>tags_</em> = <code><a class="el" href="classCatch_1_1StringRef.html">StringRef</a>()</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a7cbea60e0cebfa622c667008eb011420"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7cbea60e0cebfa622c667008eb011420">&#9670;&nbsp;</a></span>name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a> Catch::NameAndTags::name</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a74062ed1138834a348424eb7ed900c57"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a74062ed1138834a348424eb7ed900c57">&#9670;&nbsp;</a></span>tags</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a> Catch::NameAndTags::tags</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
